package Plugins::PhilsLibraries::Plugin;

use strict;

use base qw(Slim::Plugin::Base);

use Slim::Menu::BrowseLibrary;
use Slim::Music::Import;
use Slim::Utils::Log;

my $log = Slim::Utils::Log->addLogCategory({
	'category'     => 'plugin.PhilsLibraries',
	'defaultLevel' => 'DEBUG',
	'description'  => 'PLUGIN_PHILS_LIBRARIES',
});

sub initPlugin {
	my $class = shift;

  Slim::Music::VirtualLibraries->registerLibrary(
    {
    	id => 'NotRated',
    	name => 'Not Rated',
     	sql => qq{
    		INSERT OR IGNORE INTO library_track (library, track)
    		SELECT '%s', tracks.id 
    		FROM tracks
          	JOIN track_statistics ts ON ts.url = tracks.url
    		WHERE ts.rating IS NULL
      },
      rebuildOnUpdate => qr/track_statistics/,
#      rebuildOnSelect => 1
    }
  );
  Slim::Music::VirtualLibraries->rebuild('NotRated');

  Slim::Music::VirtualLibraries->registerLibrary(
    {
  		id => 'RatedHigh',
  		name => 'Rated High',
  		sql => qq{
  			INSERT OR IGNORE INTO library_track (library, track)
  				SELECT '%s', tracks.id 
  				FROM tracks
          JOIN track_statistics ts ON ts.url = tracks.url
  				WHERE ts.rating >= 80
      },
      rebuildOnUpdate => qr/track_statistics/,
#      rebuildOnSelect => 1
    }
  );
  Slim::Music::VirtualLibraries->rebuild('RatedHigh');

	$class->SUPER::initPlugin(@_);
}

1;